org.fourthline.cling.model.types

## Enum DLNADoc.Version

- java.lang.Object
- - java.lang.Enum<DLNADoc.Version>
  - - org.fourthline.cling.model.types.DLNADoc.Version

- All Implemented Interfaces:
    Serializable, Comparable<DLNADoc.Version>
  Enclosing class:
    DLNADoc

      public static enum DLNADoc.Version
      extends Enum<DLNADoc.Version>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `V1_0`
    `V1_5`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`
    `static DLNADoc.Version` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DLNADoc.Version[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### V1_0

          public static final DLNADoc.Version V1_0

    - #### V1_5

          public static final DLNADoc.Version V1_5

  - ### Method Detail

    - #### values

          public static DLNADoc.Version[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DLNADoc.Version c : DLNADoc.Version.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DLNADoc.Version valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<DLNADoc.Version>`

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.